TeamViewer

Support Center

Need help or more information? Browse through our helpful resources.

null

Which TeamViewer version is required for ITbrain?

In order to use the ITbrain services, you will need the following TeamViewer versions to be installed on the monitored device:

Monitoring and Asset Management

  • Windows: TeamViewer 11 or later
  • Windows Server: TeamViewer 11 or later

Anti-Malware

  • Windows: TeamViewer 9 or later
  • Windows Server: TeamViewer 9 or later

Backup

  • Windows: TeamViewer 11 or later
  • Windows Server: TeamViewer 11 or later

To view the alerts triggerd by any ITbrain service, you will need a TeamViewer full version or the TeamViewer Management Console as follows:

Monitoring and Asset Management

  • Windows: TeamViewer 8 or later
  • Windows Server: TeamViewer 8 or later
  • Linux: TeamViewer 9 or later
  • iOS: TeamViewer 9 or later
  • Windows Phone 8: TeamViewer 9 or later
  • TeamViewer Management Console

Anti-Malware

  • Windows: TeamViewer 9 or later
  • Windows Server: TeamViewer 9 or later
  • TeamViewer Management Console

Backup

  • Windows: TeamViewer 11 or later
  • Windows Server: TeamViewer 11 or later
  • TeamViewer Management Console

Related content

Can’t find the answer to your question?

Get in touch with us! Support >